From b36f185426be3ac0bfb942fa4a52528a8d70a61a Mon Sep 17 00:00:00 2001 From: Přemysl Eric Janouch
Date: Tue, 2 Nov 2021 16:57:18 +0100
Subject: Fix various macOS-related/found issues
Even though this software isn't very useful on that system either,
due to its lack of PRIMARY.
---
CMakeLists.txt | 11 ++++++++---
dicts/gnu-fdl-de-cz.sh | 2 +-
src/sdtui.c | 2 --
src/stardict.c | 14 +++++++-------
4 files changed, 16 insertions(+), 13 deletions(-)
diff --git a/CMakeLists.txt b/CMakeLists.txt
index ddd9cfc..1d1199b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -66,7 +66,6 @@ endif ()
find_package (Termo QUIET NO_MODULE)
option (USE_SYSTEM_TERMO
"Don't compile our own termo library, use the system one" ${Termo_FOUND})
-
if (USE_SYSTEM_TERMO)
if (NOT Termo_FOUND)
message (FATAL_ERROR "System termo library not found")
@@ -88,7 +87,6 @@ endif ()
pkg_check_modules (xcb xcb xcb-xfixes)
option (WITH_X11 "Compile with X11 selection support using XCB" ${xcb_FOUND})
-
if (WITH_X11)
if (NOT xcb_FOUND)
message (FATAL_ERROR "XCB not found")
@@ -100,8 +98,15 @@ endif ()
pkg_check_modules (gtk gtk+-3.0)
option (WITH_GUI "Build an alternative GTK+ UI" ${gtk_FOUND})
+if (WITH_GUI)
+ if (NOT gtk_FOUND)
+ message (FATAL_ERROR "GTK+ not found")
+ endif ()
+
+ link_directories (${gtk_LIBRARY_DIRS})
+endif ()
-link_directories (${dependencies_LIBRARY_DIRS})
+link_directories (${dependencies_LIBRARY_DIRS} ${icu_LIBRARY_DIRS})
include_directories (${ZLIB_INCLUDE_DIRS} ${icu_INCLUDE_DIRS}
${dependencies_INCLUDE_DIRS} ${Ncursesw_INCLUDE_DIRS}
${Termo_INCLUDE_DIRS})
diff --git a/dicts/gnu-fdl-de-cz.sh b/dicts/gnu-fdl-de-cz.sh
index ffe56a4..8fab695 100755
--- a/dicts/gnu-fdl-de-cz.sh
+++ b/dicts/gnu-fdl-de-cz.sh
@@ -2,7 +2,7 @@
# GNU/FDL German-Czech dictionary, see https://gnu.nemeckoceskyslovnik.cz
# Sometimes the domain doesn't resolve, and the contents are close to useless
-[ -n "$WANT_BAD_DICTS" ] || exit
+[ -n "$WANT_BAD_DICTS" ] || exit 0
curl -Lo- 'https://gnu.nemeckoceskyslovnik.cz/index.php?id=6&sablona=export&format=zcu' | \
grep -v ^# | sed 's/\\//g' | perl -CSD -F\\t -le '
diff --git a/src/sdtui.c b/src/sdtui.c
index c9b88e6..8de59b2 100644
--- a/src/sdtui.c
+++ b/src/sdtui.c
@@ -37,9 +37,7 @@
#include